I'm trying to install gitpod in kubernetes but i'm getting error

helm install gitpod .
Error: execution error at (gitpod/templates/_helpers.tpl:278:4): please specify the Gitpod version to use in your values.yaml or with the helm flag --set version=x.x.x

I don’t know the version exact please help me

Hi @Mehmood, welcome to the Gitpod community! :partying_face:

Did you try to follow the instructions from the docs? https://www.gitpod.io/docs/self-hosted/latest/install/install-on-kubernetes

Thanks to reply brother I’m trying to install it on GKE, and following this https://github.com/gitpod-io/gitpod/tree/main/chart

@AlexTugarev If there is an other way to install please tell, I’ll be very thankfull to you!

@Mehmood, please try to follow the the instructions from https://www.gitpod.io/docs/self-hosted/latest/install/install-on-kubernetes

Unfortunately, it’s not clear that the values has to be set. The chart readme seems to be outdated/incomplete :disappointed:

For the coming release there will be an update for the docs as well. cf. https://github.com/gitpod-io/gitpod/pull/3925

https://www.gitpod.io/docs/self-hosted/latest/install/install-on-kubernetes
@AlexTugarev this link isn’t working :cold_sweat:

Please try again.